Package Details: wsjtx-git r5460.24fcd17a-2

Git Clone URL: https://aur.archlinux.org/wsjtx-git.git (read-only)
Package Base: wsjtx-git
Description: Software for Amateur Radio Weak-Signal Communication (JT9 and JT65)
Upstream URL: http://physics.princeton.edu/pulsar/k1jt/wsjtx.html
Keywords: amateur ft8 ham jt65 k1jt radio want wsjtx
Licenses: GPL-3
Conflicts: wsjtx
Provides: wsjtx
Submitter: KI9N
Maintainer: KI9N
Last Packager: KI9N
Votes: 2
Popularity: 0.000424
First Submitted: 2018-06-08 01:00
Last Updated: 2019-07-16 11:48

Pinned Comments

KI9N commented on 2018-06-08 01:14

Hopefully this works for everyone, I've been successful in building it with all updates to GCC. This will automatically update with changes as soon as the developer pushes them. Currently it shows up as 1.9.2-devel. The patch does make the build show up as 'dirty' in the "Help >> About" screen because it modifies the CMakeList.txt file from the source. It replaces the command, "qt5_use_modules", as it is out of date.

Latest Comments

KI9N commented on 2018-06-08 01:14

Hopefully this works for everyone, I've been successful in building it with all updates to GCC. This will automatically update with changes as soon as the developer pushes them. Currently it shows up as 1.9.2-devel. The patch does make the build show up as 'dirty' in the "Help >> About" screen because it modifies the CMakeList.txt file from the source. It replaces the command, "qt5_use_modules", as it is out of date.

hk4adj commented on 2017-01-24 17:43

Hello, it fails to compile and install here:

[ 36%] Building CXX object CMakeFiles/wsjt_qt.dir/HamlibTransceiver.cpp.o
/tmp/yaourt-tmp-a/aur-wsjtx-svn/src/wsjtx/HamlibTransceiver.cpp: In member function ‘virtual int HamlibTransceiver::do_start()’:
/tmp/yaourt-tmp-a/aur-wsjtx-svn/src/wsjtx/HamlibTransceiver.cpp:550:66: error: ‘RIG_PASSBAND_NOCHANGE’ was not declared in this scope
rig_set_mode (rig_.data (), RIG_VFO_CURR, dummy_mode_, RIG_PASSBAND_NOCHANGE);


FOR IT TO COMPILE IS REQUIRED THE USE OF HAMLIB_GIT

^~~~~~~~~~~~~~~~~~~~~
make[2]: *** [CMakeFiles/wsjt_qt.dir/build.make:668: CMakeFiles/wsjt_qt.dir/HamlibTransceiver.cpp.o] Error 1
make[1]: *** [CMakeFiles/Makefile2:597: CMakeFiles/wsjt_qt.dir/all] Error 2
make: *** [Makefile:150: all] Error 2
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build wsjtx-svn.


FOR IT TO COMPILE IS REQUIRED THE USE OF HAMLIB_GIT

nulloranje commented on 2016-08-14 01:41

Get the following error when building with hamlib or hamlib-git:

-- Checking for module 'hamlib'
-- Found hamlib, version 3.1~git
-- Found hamlib
CMake Error at /usr/share/cmake-3.6/Modules/FindPackageHandleStandardArgs.cmake:148 (message):
Could NOT find hamlib (missing: hamlib_LIBRARY_DIRS) (Required is at least
version "3")
Call Stack (most recent call first):
/usr/share/cmake-3.6/Modules/FindPackageHandleStandardArgs.cmake:388 (_FPHSA_FAILURE_MESSAGE)
CMake/Modules/Findhamlib.cmake:81 (find_package_handle_standard_args)
CMakeLists.txt:883 (find_package)

maze commented on 2016-02-14 08:30

Hamlib has been upgraded to 3.x, please test.